## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate rustix

Name:           rust-%{crate}
Version:        0.33.6
Release:        %autorelease
Summary:        Safe Rust bindings to POSIX/Unix/Linux/Winsock2-like syscalls

# Upstream license specification: Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/rustix
Source:         %{crates_source}
# Initial patched metadata
# * drop windows-specific dependencies
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
Patch0:         rustix-fix-metadata.diff
# * unconditionally compile C code from source
Patch1:         0001-Unconditionally-compile-C-code-from-source.patch
# * backported patch to fix vDSO parsing on ppc64le
Patch2:         0002-Fix-vDSO-parsing-on-powerpc64.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Safe Rust bindings to POSIX/Unix/Linux/Winsock2-like syscalls.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYRIGHT
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-Apache-2.0_WITH_LLVM-exception
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/ORG_CODE_OF_CONDUCT.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/SECURITY.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+all-impls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+all-impls-devel %{_description}

This package contains library source intended for building other packages which
use the "all-impls" feature of the "%{crate}" crate.

%files       -n %{name}+all-impls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+async-std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-std-devel %{_description}

This package contains library source intended for building other packages which
use the "async-std" feature of the "%{crate}" crate.

%files       -n %{name}+async-std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+errno-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+errno-devel %{_description}

This package contains library source intended for building other packages which
use the "errno" feature of the "%{crate}" crate.

%files       -n %{name}+errno-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fs-err-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fs-err-devel %{_description}

This package contains library source intended for building other packages which
use the "fs-err" feature of the "%{crate}" crate.

%files       -n %{name}+fs-err-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+io-lifetimes-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+io-lifetimes-devel %{_description}

This package contains library source intended for building other packages which
use the "io-lifetimes" feature of the "%{crate}" crate.

%files       -n %{name}+io-lifetimes-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+itoa-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+itoa-devel %{_description}

This package contains library source intended for building other packages which
use the "itoa" feature of the "%{crate}" crate.

%files       -n %{name}+itoa-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libc-devel %{_description}

This package contains library source intended for building other packages which
use the "libc" feature of the "%{crate}" crate.

%files       -n %{name}+libc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mio-devel %{_description}

This package contains library source intended for building other packages which
use the "mio" feature of the "%{crate}" crate.

%files       -n %{name}+mio-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+once_cell-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+once_cell-devel %{_description}

This package contains library source intended for building other packages which
use the "once_cell" feature of the "%{crate}" crate.

%files       -n %{name}+once_cell-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+os_pipe-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+os_pipe-devel %{_description}

This package contains library source intended for building other packages which
use the "os_pipe" feature of the "%{crate}" crate.

%files       -n %{name}+os_pipe-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+procfs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+procfs-devel %{_description}

This package contains library source intended for building other packages which
use the "procfs" feature of the "%{crate}" crate.

%files       -n %{name}+procfs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+socket2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+socket2-devel %{_description}

This package contains library source intended for building other packages which
use the "socket2" feature of the "%{crate}" crate.

%files       -n %{name}+socket2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use-libc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use-libc-devel %{_description}

This package contains library source intended for building other packages which
use the "use-libc" feature of the "%{crate}" crate.

%files       -n %{name}+use-libc-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
# Remove pre-built binaries
rm src/imp/linux_raw/arch/outline/debug/*.a
rm src/imp/linux_raw/arch/outline/release/*.a

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip a test that requires a file which is not included in published crates
# * skip a test that tries to build and run an example with cargo
%cargo_test -- -- --skip test_backends --skip dup2_to_replace_stdio
%endif

%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.33.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Apr 15 2022 Fabio Valentini <decathorpe@gmail.com> 0.33.6-3
- Include backported patch to fix vDSO parsing on ppc64le

* Thu Apr 14 2022 Fabio Valentini <decathorpe@gmail.com> 0.33.6-2
- Skip tests that are broken on ppc64le with this version

* Wed Apr 13 2022 Fabio Valentini <decathorpe@gmail.com> 0.33.6-1
- Update to version 0.33.6

* Fri Feb 04 2022 Fabio Valentini <decathorpe@gmail.com> 0.31.3-1
- Update to version 0.31.3

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.29.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 03 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.29.1-1
- Update to upstream 0.29.1
- Remove Obsoletes for rust-posish

* Sun Nov 28 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.27.1-1
- Initial package

